%define debug 0
%define final 0
%define make_cvs 1

%define arts 1

%define qt_version 3.3.5
%define kdelibs_epoch 6
%define kdebase_epoch 6
%define qt_epoch 1

%define disable_gcc_check_and_hidden_visibility 1

Name: kdeedu
Version: 3.5.3
Release: 0.1.fc5
Summary: Educational/Edutainment applications for KDE
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch1: kde-libtool.patch

Requires: kdebase >= %{kdebase_epoch}:%{version}
Requires: qt >= %{qt_epoch}:%{qt_version}
Requires(post,postun): /sbin/ldconfig

BuildRequires: kdebase-devel >= %{kdebase_epoch}:%{version}
BuildRequires: python-devel
BuildRequires: boost-devel

Obsoletes: keduca
Obsoletes: kig
Obsoletes: klettres
Obsoletes: kmessedwords
Obsoletes: kstars
Obsoletes: ktouch
Obsoletes: kvoctrain

Provides: keduca
Provides: kig
Provides: klettres
Provides: kmessedwords
Provides: kstars
Provides: ktouch
Provides: kvoctrain

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Educational/Edutainment applications for KDE

%package devel
Summary: Header files for kdeedu
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains header files for kdeedu.

%package -n keduca
Summary: Tests and Exams
Group: User Interface/Desktops

%description -n keduca
Tests and Exams

%package -n kig
Summary: Interactive Geometry
Group: User Interface/Desktops

%description -n kig
Interactive Geometry

%package -n klettres
Summary: French alphabet tutor
Group: User Interface/Desktops

%description -n klettres
French alphabet tutor

%package -n kmessedwords
Summary: Letter Order Game
Group: User Interface/Desktops

%description -n kmessedwords
Letter Order Game

%package -n kstars
Summary: Desktop Planetarium
Group: User Interface/Desktops

%description -n kstars
Desktop Planetarium

%package -n ktouch
Summary: Touch Typing Tutor
Group: User Interface/Desktops

%description -n ktouch
Touch Typing Tutor

%package -n kvoctrain
Summary: Vocabulary Trainer
Group: User Interface/Desktops

%description -n kvoctrain
Vocabulary Trainer

%prep
%setup -q
%patch1 -p1 -b .libtool

%ifarch s390 s390x ppc ppc64
  rm -rf doc/kstars kstars
  perl -pi -e "s|kstars||" subdirs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%if %{make_cvs}
  make -f admin/Makefile.common cvs
%endif

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-rpath \
   --enable-kig-python-scripting \
%if %{disable_gcc_check_and_hidden_visibility}
   --disable-gcc-hidden-visibility \
%endif
%if %{arts} == 0
   --without-arts \
%endif
%if %{debug} == 0
   --disable-debug \
   --disable-warnings \
%endif
%if %{final}
   --enable-final \
%endif
   --includedir=%{_includedir}/kde \
   --with-qt-libraries=$QTDIR/lib

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${f} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${f} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${f} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${f} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%doc README COPYING
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/Edutainment/*
%{_datadir}/apps/*
%{_datadir}/mimelnk/application/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*
%{_datadir}/config.kcfg/*
%config %{_datadir}/config/*
%exclude %{_datadir}/apps/kgeography/flags/taiwan.png
%exclude %{_datadir}/apps/kgeography/flags/china.png

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/*.so

%changelog
* Sat Jun 10 2006 Than Ngo <than@redhat.com> 3.5.3-0.1.fc5
- update to 3.5.3

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-0.1.fc5
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb 04 2006 Than Ngo <than@redhat.com> 3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 3.5.0-1
- 3.5 final

* Fri Nov 11 2005 Than Ngo <than@redhat.com> 3.4.92-2
- fix #172887 

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 3.4.92-1
- update to 3.5 beta2

* Thu Oct 06 2005 Than Ngo <than@redhat.com> 3.4.91-1
- update to 3.5 beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 3.4.2-3
- fix uic build problem

* Wed Aug 24 2005 Than Ngo <than@redhat.com> 3.4.2-2
- rebuilt against boost-1.33

* Wed Aug 10 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Mon Jul 18 2005 Than Ngo <than@redhat.com> 3.4.1-2
- enable python-scripting #157961

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1 
- 3.4.0 rc1

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 3.3.92-0.1
- KDE-3.4 Beta2

* Wed Feb 09 2005 Than Ngo <than@redhat.com> 3.3.2-0.2
- replace kgeo (#142367)

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1 release

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-2
- fix some broken code

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 3.2.0-1.5
- gcc 3.4 build problem

* Thu Feb 19 2004 Than Ngo <than@redhat.com> 3.2.0-1.4
- add missing ldconfig in post/postun, #116171

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup
- remove some unneeded patch files

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Thu Aug 21 2003 Than Ngo <than@redhat.com> 3.1.3-2
- fixed build problem with gcc 3.3

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Fri Jul 4 2003 Than Ngo <than@redhat.com> 3.1.2-5
- don't include debug infos in main package (bug #87730)

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- removed size_t check
- excluded ia64

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.3
- add missing defattr

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- get rid of sub packages
- desktop issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- add fix for building xjdxgen

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- cleanup specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-3
- desktop file issues
- fixed a bug in install (bug #69414)
 
* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
